Package org.apache.commons.fileupload2.portlet

# Class JavaxPortletRequestContext

java.lang.Object
org.apache.commons.fileupload2.core.AbstractRequestContext<javax.portlet.ActionRequest>
org.apache.commons.fileupload2.portlet.JavaxPortletRequestContext

All Implemented Interfaces:
  `RequestContext`

public class JavaxPortletRequestContext extends AbstractRequestContext<javax.portlet.ActionRequest>
Provides access to the request information needed for a request made to a portlet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaxPortletRequestContext(javax.portlet.ActionRequest request)`
  Constructs a context for this request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharacterEncoding()`
  Gets the character encoding for the request.
  `String`
  `getContentType()`
  Gets the content type of the request.
  `InputStream`
  `getInputStream()`
  Gets the input stream for the request.

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractRequestContext

  `getContentLength, getRequest, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.fileupload2.core.RequestContext

  `getCharset`

- ## Constructor Details

  - ### JavaxPortletRequestContext

    public JavaxPortletRequestContext(javax.portlet.ActionRequest request)
    Constructs a context for this request.
    Parameters:
      `request` - The request to which this context applies.

- ## Method Details

  - ### getCharacterEncoding

    public String getCharacterEncoding()
    Gets the character encoding for the request.
    Returns:
      The character encoding for the request.

  - ### getContentType

    public String getContentType()
    Gets the content type of the request.
    Returns:
      The content type of the request.

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Gets the input stream for the request.
    Returns:
      The input stream for the request.
    Throws:
      `IOException` - if a problem occurs.